/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.Caisse;

/**
 *
 * @author maher
 */
public class CaisseClt {
    public String IdCaisse;
    
    public String DateMouvement;
    public String TypeMouvement; //0-Vente Comptant   |  1-Vente Facilité Avance  |  2 Vente Commande Avance  |  3 traite clt  |  4 Cheque | 5 Vente Sans Facture | 6  Vente Sans Facture (Avoit)
    
    public String CodeFactureClt;
    public String IdAvoirFactClt; 
    public String IdVenteSansFactureClt;
    public String Montant;
    
    public String IdTraitePaiementEspace;
    public String IdTraitePaiementCarte;
    public String IdTraitePaiementCheque;
   
    public String IdHistoriqueCheque;
            
    public String LocalNom;  
    public Integer IdProfile;  //code profile de utilisateur du programme 

    public String getIdCaisse() {
        return IdCaisse;
    }

    public void setIdCaisse(String IdCaisse) {
        this.IdCaisse = IdCaisse;
    }

    public String getDateMouvement() {
        return DateMouvement;
    }

    public void setDateMouvement(String DateMouvement) {
        this.DateMouvement = DateMouvement;
    }

    public String getTypeMouvement() {
        return TypeMouvement;
    }

    public void setTypeMouvement(String TypeMouvement) {
        this.TypeMouvement = TypeMouvement;
    }

    public String getIdVenteSansFactureClt() {
        return IdVenteSansFactureClt;
    }

    public void setIdVenteSansFactureClt(String IdVenteSansFacture) {
        this.IdVenteSansFactureClt = IdVenteSansFacture;
    }

    
    

    public String getCodeFactureClt() {
        return CodeFactureClt;
    }

    public void setCodeFactureClt(String CodeFactureClt) {
        this.CodeFactureClt = CodeFactureClt;
    }

    public String getIdAvoirFactClt() {
        return IdAvoirFactClt;
    }

    public void setIdAvoirFactClt(String IdAvoirFactClt) {
        this.IdAvoirFactClt = IdAvoirFactClt;
    }

    public String getMontant() {
        
        return Montant;
    }

    public void setMontant(String Montant) {
        this.Montant = Montant;
    }

    public String getLocalNom() {
        return LocalNom;
    }

    public void setLocalNom(String LocalNom) {
        this.LocalNom = LocalNom;
    }

    public Integer getIdProfile() {
        return IdProfile;
    }

    public void setIdProfile(Integer IdProfile) {
        this.IdProfile = IdProfile;
    }

    public String getIdTraitePaiementEspace() {
        return IdTraitePaiementEspace;
    }

    public void setIdTraitePaiementEspace(String IdTraitePaiementEspace) {
        this.IdTraitePaiementEspace = IdTraitePaiementEspace;
    }

    public String getIdTraitePaiementCarte() {
        return IdTraitePaiementCarte;
    }

    public void setIdTraitePaiementCarte(String IdTraitePaiementCarte) {
        this.IdTraitePaiementCarte = IdTraitePaiementCarte;
    }

    public String getIdTraitePaiementCheque() {
        return IdTraitePaiementCheque;
    }

    public void setIdTraitePaiementCheque(String IdTraitePaiementCheque) {
        this.IdTraitePaiementCheque = IdTraitePaiementCheque;
    }

    public String getIdHistoriqueCheque() {
        return IdHistoriqueCheque;
    }

    public void setIdHistoriqueCheque(String IdHistoriqueCheque) {
        this.IdHistoriqueCheque = IdHistoriqueCheque;
    }

    
    
    
}
